---
layout: default
title: Download and install GitLab
description: "Learn about the various GitLab installation packages and downloads for Ubuntu, Debian, Docker, Google Cloud, and many more."
suppress_header: true
extra_css:
  - installation.css
extra_js:
  - installation.js
  - libs/clipboard.min.js
  - bootstrap-tooltip.js
  - copy-button.js
---
.wrapper
  .blank-header
    = image_tag "/images/home/icons-pattern-left.svg", class: "image-border image-border-left", alt: "Gitlab hero border pattern left svg"
    = image_tag "/images/home/icons-pattern-right.svg", class: "image-border image-border-right", alt: "Gitlab hero border pattern right svg"
    .header-content
      %h1
        GitLab Installation
      %p
        We strongly recommend downloading the Omnibus package installation since it is quicker to install, easier to upgrade, and it contains features to enhance reliability not found in other methods. We also strongly
        %a{:title => '', :href => 'https://docs.gitlab.com/ee/install/requirements.html#cpu'} recommend at least 4GB of free RAM
        to run GitLab.
  #content
    .wrapper.container{role: "main"}
      .method.omnibus
        - distros = ['Ubuntu', 'Debian', 'CentOS 6', 'CentOS 7', 'CentOS 8', 'OpenSUSE Leap 15.1', 'Raspberry Pi 2']
        - platforms = ['ubuntu', 'debian', 'centos6', 'centos7', 'centos8', 'opensuse', 'raspberrypi2']
        - ce_only_platforms = { 'raspberry-pi-2' => true }
        - subtitles = ['16.04 LTS, 18.04 LTS', '8, 9, 10', 'and RHEL, Oracle, Scientific', 'and RHEL, Oracle, Scientific', 'and RHEL', 'and SUSE Linux Enterprise Server 12.2', 'Raspbian Stretch']
        - icons = ['ubuntu', 'debian', 'centos', 'centos', 'centos', 'opensuse', 'raspberry-pi']
        .method-content
          %h2.block-title{id: "#omnibus"} Download a GitLab Omnibus package (recommended installation)
          %ul.flex-tile-list
            - distros.each_with_index do |distro, index|
              - ce_platform = data.platforms.select {|p| p.name == platforms[index]}
              - ee_platform = data.platforms_ee.select {|p| p.name == platforms[index]}
              %a.tile.js-distro-tile{ href: "##{distro.parameterize}", class: "distro-tile-#{index + 1} #{'js-distro-tile-ce-only' if ce_only_platforms[distro.parameterize]}" }
                .tile-image
                  = partial "/images/logos/#{icons[index]}-logo.svg"
                .tile-info
                  %h4.tile-title
                    = distro
                  %p
                    = subtitles[index]
              %li.distro-content.js-distro-content.hidden{ class: "distro-content-#{index + 1}", id: distro.parameterize }
                - ce_platform.each_with_index do |platform, index|
                  - ee_platform = ee_platform[index]
                  .js-platform-ce.js-install-instructions
                    = partial "_platform", locals: { platform: platform, type: "ce", toggle_type: "ee", has_ee: ee_platform, link_back: distro.parameterize }
                  - if ee_platform
                    .js-platform-ee.js-install-instructions.hidden
                      = partial "_platform", locals: { platform: ee_platform, type: "ee", toggle_type: "ce", has_ee: ee_platform, link_back: distro.parameterize }

      .method.official
        .method-content
          %h2.block-title Other official installation methods
          .flex-tile-list
            - data.installation_methods.official.each do |method|
              %a.tile{href: method.url}
                .tile-image
                  = partial method.logo
                .tile-info
                  %h4.tile-title
                    = method.name
                  %p
                    = method.desc

      .method.community
        .method-content
          %h2.block-title Download community contributed packages
          .flex-tile-list
            - data.installation_methods.community.each do |method|
              %a.tile{href: method.url}
                .tile-image
                  = partial method.logo
                .tile-info
                  %h4.tile-title
                    = method.name
                  %p
                    = method.desc
      .method
        .method-content
          %h2.block-title Update from an old version of GitLab
          %ul
            %li
              %p.text-center
                = link_to "/update/", class: "btn cta-btn accent margin-top20" do
                  Update to the latest release of GitLab
      .method
        .method-content
          %h2.block-title Upgrade from GitLab Community Edition
          %ul
            %li
              %p.text-center
                = link_to "/upgrade/", class: "btn cta-btn accent margin-top20" do
                  Upgrade to Enterprise Edition
      .method
        .method-content
          %h2.block-title Upgrade from manually installed Omnibus package
          %ul
            %li
              %p.text-center
                = link_to "/upgrade-to-package-repository/", class: "btn cta-btn accent margin-top20" do
                  Upgrade to Omnibus package repository
      .method
        .method-content
          %h2.block-title Third-party applications that support GitLab
          %ul
            %li
              %p.text-center
                = link_to "/partners/", class: "btn cta-btn accent margin-top20" do
                  View third-party applications
